'''Game main module.

Contains the entry point used by the run_game.py script.

Feel free to put all your game code here, or in other modules in this "gamelib"
package.
'''

import random
import pyglet
import cocos
import data
import plan_room
import physics


def main():
    pyglet.resource.path = [data.data_dir]
    pyglet.resource.reindex()
    #plan_room.main()
    cocos.director.director.init(width=800)
    #music = pyglet.resource.media("love_war.wav", streaming=False)
    #player = pyglet.media.Player()
    #player.eos_action = player.EOS_LOOP
    #player.queue(music)
    #player.play()
    sd = plan_room.SimulationDemo(pyglet.resource.image("red_planet.png"))
    pr = plan_room.PlanningRoom(sd, data.filepath("theme"))
    s = cocos.scene.Scene(sd, pr)
    cocos.director.director.run(s)